Loading...
Searching...
No Matches
seqan3::strong_type_printer< strong_type_t > Struct Template Reference
Core » Debug Stream

A strong type can be printed by printing its underlying value. More...

`#include <seqan3/core/detail/strong_type.hpp>`

Inheritance diagram for seqan3::strong_type_printer< strong_type_t >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| Prints the stored value of the given strong type.

## Detailed Description

template<detail::derived_from_strong_type strong_type_t>
struct seqan3::strong_type_printer< strong_type_t >

A strong type can be printed by printing its underlying value.

Template Parameters

  strong_type_t | The type of the strong type; must be derived from seqan3::detail::strong_type.

## Member Function Documentation

## operator()()

template<detail::derived_from_strong_type strong_type_t>
template<typename stream_t, typename arg_t>

void seqan3::strong_type_printer< strong_type_t >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

Prints the stored value of the given strong type.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  [in,out] | stream | The output stream.
  [in] | arg | The strong typed value to print.

The documentation for this struct was generated from the following file:

- strong_type.hpp

Hide me